Bug 341091 - Digikam crashes when updating the MySQL database of a a hudge photo collection
Summary: Digikam crashes when updating the MySQL database of a a hudge photo collection
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Video (show other bugs)
Version: 4.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-19 07:09 UTC by NBRemond
Modified: 2021-04-24 02:34 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NBRemond 2014-11-19 07:09:58 UTC
Application: digikam (4.6.0)
KDE Platform Version: 4.14.1
Qt Version: 4.8.6
Operating System: Linux 3.16.0-25-generic x86_64
Distribution: Ubuntu 14.10

-- Information about the crash:
- What I was doing when the application crashed:

-I launched Digikam
-then I get the small splashscreen for about 15 to 30mn
-Then digikma opens but is not usable because no thumbnails was displayed
-Opening folders within digikam did NOT refresh the coresponding thumbnails, which make digikam UNUSABLE until the whole collection has not been parsed, which is a big problem for hudge photo collection
-After a while, digikam ends up crashing (see reports)


When I re-open digikam, I get the same behavior. So I can never have my thumbnail displyed in digikam : Digikam is not usable at all.

The photo collection is about 500GB of photo (CR2, JPG, ...) and few video files, for about 230000 files, located on the local hard drive
The database is MySQL located on a server on my LAN, with a gigabit connection.
The computer is a decent one: Intel i7, 3.2GHz, 8GB RAM, running Cubuntu (Ubuntu + Cinnamon) 14.10

Hese is a copy of the terminal, where I have launched digikam:

nbremond@multimedia:~/Tools/digikam/dk/build$ digikam -v
Qt : 4.8.6
Plate-forme de développement de KDE : 4.14.1
digiKam : 4.6.0

Reproducible: Always

Steps to Reproduce:
-I launched Digikam
-then I get the small splashscreen for about 15 to 30mn
-Then digikma opens but is not usable because no thumbnails was displayed
-Opening folders within digikam did NOT refresh the coresponding thumbnails, which make digikam UNUSABLE until the whole collection has not been parsed, which is a big problem for hudge photo collection
-After a while, digikam ends up crashing (see reports)


When I re-open digikam, I get the same behavior. So I can never have my thumbnail displyed in digikam : Digikam is not usable at all.

Actual Results:  
Crash - Digikam not Useable


Application: digikam (4.6.0)
KDE Platform Version: 4.14.1
Qt Version: 4.8.6
Operating System: Linux 3.16.0-25-generic x86_64
Distribution: Ubuntu 14.10

-- Information about the crash:
- What I was doing when the application crashed:

-I launched Digikam
-then I get the small splashscreen for about 15 to 30mn
-Then digikma opens but is not usable because no thumbnails was displayed
-Opening folders within digikam did NOT refresh the coresponding thumbnails, which make digikam UNUSABLE until the whole collection has not been parsed, which is a big problem for hudge photo collection
-After a while, digikam ends up crashing (see reports)


When I re-open digikam, I get the same behavior. So I can never have my thumbnail displyed in digikam : Digikam is not usable at all.

The photo collection is about 500GB of photo (CR2, JPG, ...) and few video files, for about 230000 files, located on the local hard drive
The database is MySQL located on a server on my LAN, with a gigabit connection.
The computer is a decent one: Intel i7, 3.2GHz, 8GB RAM, running Cubuntu (Ubuntu + Cinnamon) 14.10

Hese is a copy of the terminal, where I have launched digikam:

nbremond@multimedia:~/Tools/digikam/dk/build$ digikam -v
Qt : 4.8.6
Plate-forme de développement de KDE : 4.14.1
digiKam : 4.6.0


nbremond@multimedia:~/Tools/digikam/dk/build$ digikam
...
digikam(9367)/digikam (core) Digikam::ImageScanner::commit: Scanning took 25 ms
digikam(9367)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 0 ms
digikam(9367)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/home/nbremond/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/photos/2010/Noel-2010/Rush3/CIMG0260.AVI"
digikam(9367)/digikam (core) Digikam::ImageScanner::commit: Scanning took 29 ms
digikam(9367)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 1 ms
digikam(9367)/digikam (core) Digikam::DImg::load: "/home/nbremond/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/photos/2010/Noel-2010/Rush3/CIMG0261.JPG"  : JPEG file identified
digikam(9367)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/home/nbremond/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/photos/2010/Noel-2010/Rush3/CIMG0261.JPG"
digikam(9367)/digikam (core) Digikam::ImageScanner::commit: Scanning took 20 ms
digikam(9367)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 1 ms
digikam(9367)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/home/nbremond/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/Mes Photos/photo/photos/2010/Noel-2010/Rush3/CIMG0262.AVI"
digikam(9367)/digikam (core) Digikam::ImageScanner::commit: Scanning took 13 ms
digikam(9367)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 0 ms
*** Error in `digikam': free(): invalid next size (fast): 0x00007f1b8ddb4eb0 ***
QSocketNotifier: Invalid socket 19 and type 'Read', disabling...
QSocketNotifier: Invalid socket 22 and type 'Read', disabling...
QSocketNotifier: Invalid socket 28 and type 'Read', disabling...
digikam: Fatal IO error 9 (Mauvais descripteur de fichier) on X server :0.
KCrash: Application 'digikam' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/nbremond/.kde/socket-multimedia/kdeinit4__0

(digikam:9367): GStreamer-CRITICAL **: gstsystemclock: write control failed in wakeup_async: 9:Mauvais descripteur de fichier


[1]+  Arrêté                digikam
nbremond@multimedia:~/Tools/digikam/dk/build$

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f1ca691bac0 (LWP 9367))]

Thread 3 (Thread 0x7f1c72e74700 (LWP 9370)):
[KCrash Handler]
#6  0x00007f1c9fb62d27 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f1c9fb64418 in __GI_abort () at abort.c:89
#8  0x00007f1c9fba49f4 in __libc_message (do_abort=do_abort@entry=1, fmt=fmt@entry=0x7f1c9fcada40 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
#9  0x00007f1c9fbac006 in malloc_printerr (ptr=<optimized out>, str=0x7f1c9fcadbe0 "free(): invalid next size (fast)", action=1) at malloc.c:4996
#10 _int_free (av=<optimized out>, p=<optimized out>, have_lock=0) at malloc.c:3840
#11 0x00007f1c9dd0d9f7 in Exiv2::RiffVideo::infoTagsHandler() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#12 0x00007f1c9dd12885 in Exiv2::RiffVideo::decodeBlock() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#13 0x00007f1c9dd124d8 in Exiv2::RiffVideo::tagDecoder(Exiv2::DataBuf&, unsigned long) () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#14 0x00007f1c9dd12885 in Exiv2::RiffVideo::decodeBlock() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#15 0x00007f1c9dd12bf8 in Exiv2::RiffVideo::readMetadata() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#16 0x00007f1ca4c90cfd in KExiv2Iface::KExiv2::load (this=0x7f1b8d77ada0, filePath=...) at ../../libkexiv2/kexiv2.cpp:310
#17 0x00007f1ca4505382 in Digikam::DMetadata::load (this=0x7f1b8d77ada0, filePath=...) at /home/nbremond/Tools/digikam/dk/core/libs/dmetadata/dmetadata.cpp:110
#18 0x00007f1ca3e8d025 in Digikam::ImageScanner::loadFromDisk (this=0x7f1c72e6a630) at /home/nbremond/Tools/digikam/dk/core/libs/database/imagescanner.cpp:1525
#19 0x00007f1ca3e86943 in Digikam::ImageScanner::newFile (this=0x7f1c72e6a630, albumId=19802) at /home/nbremond/Tools/digikam/dk/core/libs/database/imagescanner.cpp:285
#20 0x00007f1ca3e241eb in Digikam::CollectionScanner::scanNewFile (this=0x7f1c72e73af0, info=..., albumId=19802) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1247
#21 0x00007f1ca3e23457 in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1089
#22 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#23 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#24 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#25 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#26 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#27 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#28 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#29 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#30 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#31 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#32 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#33 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#34 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#35 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#36 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#37 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#38 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#39 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#40 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#41 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#42 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#43 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#44 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#45 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#46 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#47 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#48 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#49 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#50 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#51 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#52 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#53 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#54 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#55 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#56 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#57 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#58 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#59 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#60 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#61 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#62 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#63 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#64 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#65 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#66 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#67 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#68 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#69 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#70 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#71 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#72 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#73 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#74 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#75 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#76 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#77 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#78 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#79 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#80 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#81 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#82 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#83 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#84 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#85 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#86 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#87 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#88 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#89 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#90 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#91 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#92 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#93 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#94 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#95 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#96 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#97 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#98 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#99 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#100 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#101 0x00007f1ca3e2364f in Digikam::CollectionScanner::scanAlbum (this=0x7f1c72e73af0, location=..., album=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:1112
#102 0x00007f1ca3e21cf4 in Digikam::CollectionScanner::scanAlbumRoot (this=0x7f1c72e73af0, location=...) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:828
#103 0x00007f1ca3e2030e in Digikam::CollectionScanner::completeScan (this=0x7f1c72e73af0) at /home/nbremond/Tools/digikam/dk/core/libs/database/collectionscanner.cpp:489
#104 0x000000000060b032 in Digikam::ScanController::run (this=0x2f78ea0) at /home/nbremond/Tools/digikam/dk/core/app/database/scancontroller.cpp:756
#105 0x00007f1ca191939f in QThreadPrivate::start (arg=0x2f78ea0) at thread/qthread_unix.cpp:349
#106 0x00007f1c9cd950a5 in start_thread (arg=0x7f1c72e74700) at pthread_create.c:309
#107 0x00007f1c9fc2684d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f1c72673700 (LWP 9371)):
#0  0x00007f1c9fc180ad in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f1c96b81f45 in ?? () from /usr/lib/nvidia-340/tls/libnvidia-tls.so.340.24
#2  0x00007f1c98f3eed0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1c98efb96c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1c98efbe83 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1c98efbffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f1ca1a4704e in QEventDispatcherGlib::processEvents (this=0x7f1c640008e0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0x00007f1ca1a184f1 in QEventLoop::processEvents (this=this@entry=0x7f1c72672ae0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f1ca1a18805 in QEventLoop::exec (this=this@entry=0x7f1c72672ae0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f1ca1916c39 in QThread::exec (this=this@entry=0x2f7c7c0) at thread/qthread.cpp:538
#10 0x00007f1ca19fa033 in QInotifyFileSystemWatcherEngine::run (this=0x2f7c7c0) at io/qfilesystemwatcher_inotify.cpp:265
#11 0x00007f1ca191939f in QThreadPrivate::start (arg=0x2f7c7c0) at thread/qthread_unix.cpp:349
#12 0x00007f1c9cd950a5 in start_thread (arg=0x7f1c72673700) at pthread_create.c:309
#13 0x00007f1c9fc2684d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f1ca691bac0 (LWP 9367)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f1ca1919894 in wait (time=18446744073709551615, this=0x2f78fd0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2f78f80, mutex=mutex@entry=0x2f78f58, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f1ca1918f6e in QThread::wait (this=<optimized out>, time=18446744073709551615) at thread/qthread_unix.cpp:720
#4  0x000000000060999b in Digikam::ScanController::shutDown (this=0x2f78ea0) at /home/nbremond/Tools/digikam/dk/core/app/database/scancontroller.cpp:361
#5  0x000000000060979e in Digikam::ScanController::~ScanController (this=0x2f78ea0, __in_chrg=<optimized out>) at /home/nbremond/Tools/digikam/dk/core/app/database/scancontroller.cpp:337
#6  0x000000000060e31e in Digikam::ScanControllerCreator::~ScanControllerCreator (this=0x2f78ea0, __in_chrg=<optimized out>) at /home/nbremond/Tools/digikam/dk/core/app/database/scancontroller.cpp:277
#7  0x00000000006093fd in destroy () at /home/nbremond/Tools/digikam/dk/core/app/database/scancontroller.cpp:284
#8  0x00000000005d2491 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0xca7d38 <Digikam::._275::operator->()::cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#9  0x00007f1c9fb66599 in __run_exit_handlers (status=1, listp=0x7f1c9feea6c8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#10 0x00007f1c9fb665e5 in __GI_exit (status=<optimized out>) at exit.c:104
#11 0x00007f1c8dec0aa4 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#12 0x00007f1ca2489fd0 in KApplication::xioErrhandler (this=0x7fffd192b9c0, dpy=0x2ba6c40) at ../../kdeui/kernel/kapplication.cpp:419
#13 0x00007f1c9e61588e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#14 0x00007f1c9e6131fd in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#15 0x00007f1c9e605190 in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#16 0x00007f1ca0bccf5c in x11EventSourceCheck (s=0x2b5f260) at kernel/qguieventdispatcher_glib.cpp:85
#17 0x00007f1c98efb8c1 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f1c98efbe83 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f1c98efbffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f1ca1a47031 in QEventDispatcherGlib::processEvents (this=0x2b0c800, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#21 0x00007f1ca0bcd4e6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#22 0x00007f1ca1a184f1 in QEventLoop::processEvents (this=this@entry=0x2f6ec90, flags=...) at kernel/qeventloop.cpp:149
#23 0x00007f1ca1a18805 in QEventLoop::exec (this=0x2f6ec90, flags=...) at kernel/qeventloop.cpp:204
#24 0x000000000060a19e in Digikam::ScanController::completeCollectionScanCore (this=0x2f78ea0, needTotalFiles=true, defer=false) at /home/nbremond/Tools/digikam/dk/core/app/database/scancontroller.cpp:486
#25 0x000000000060a0e2 in Digikam::ScanController::completeCollectionScanInBackground (this=0x2f78ea0, defer=false) at /home/nbremond/Tools/digikam/dk/core/app/database/scancontroller.cpp:471
#26 0x0000000000534a24 in Digikam::NewItemsFinder::slotStart (this=0x7b2cc10) at /home/nbremond/Tools/digikam/dk/core/utilities/maintenance/newitemsfinder.cpp:112
#27 0x00000000005342e7 in Digikam::NewItemsFinder::qt_static_metacall (_o=0x7b2cc10, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbb82350) at /home/nbremond/Tools/digikam/dk/build/core/app/newitemsfinder.moc:57
#28 0x00007f1ca1a31f41 in QObject::event (this=0x7b2cc10, e=<optimized out>) at kernel/qobject.cpp:1222
#29 0x00007f1ca0b2a11c in QApplicationPrivate::notify_helper (this=this@entry=0x2b62130, receiver=receiver@entry=0x7b2cc10, e=e@entry=0x2f79ac0) at kernel/qapplication.cpp:4570
#30 0x00007f1ca0b30870 in QApplication::notify (this=this@entry=0x7fffd192b9c0, receiver=receiver@entry=0x7b2cc10, e=e@entry=0x2f79ac0) at kernel/qapplication.cpp:4356
#31 0x00007f1ca248b57a in KApplication::notify (this=0x7fffd192b9c0, receiver=0x7b2cc10, event=0x2f79ac0) at ../../kdeui/kernel/kapplication.cpp:311
#32 0x00007f1ca1a1986d in QCoreApplication::notifyInternal (this=0x7fffd192b9c0, receiver=receiver@entry=0x7b2cc10, event=event@entry=0x2f79ac0) at kernel/qcoreapplication.cpp:953
#33 0x00007f1ca1a1cf41 in sendEvent (event=0x2f79ac0, receiver=0x7b2cc10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x2b0b300) at kernel/qcoreapplication.cpp:1577
#35 0x00007f1ca1a1d3d3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#36 0x00007f1ca1a46ed3 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#37 postEventSourceDispatch (s=0x2b62680) at kernel/qeventdispatcher_glib.cpp:287
#38 0x00007f1c98efbc5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007f1c98efbf48 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#40 0x00007f1c98efbffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#41 0x00007f1ca1a47031 in QEventDispatcherGlib::processEvents (this=0x2b0c800, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#42 0x00007f1ca0bcd4e6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#43 0x00007f1ca1a184f1 in QEventLoop::processEvents (this=this@entry=0x7fffd192b4e0, flags=...) at kernel/qeventloop.cpp:149
#44 0x00007f1ca1a18805 in QEventLoop::exec (this=this@entry=0x7fffd192b4e0, flags=...) at kernel/qeventloop.cpp:204
#45 0x00007f1ca1a1df67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#46 0x0000000000720b93 in main (argc=1, argv=0x7fffd192bbb8) at /home/nbremond/Tools/digikam/dk/core/app/main/main.cpp:237

Possible duplicates by query: bug 340808, bug 340373, bug 335225, bug 335224, bug 333332.

Rapporter à https://bugs.kde.org/
Comment 1 caulier.gilles 2014-11-19 07:25:07 UTC

*** This bug has been marked as a duplicate of bug 340373 ***
Comment 2 caulier.gilles 2018-02-28 12:38:28 UTC
With 6.0.0, we have now a FFMpeg low level metadata parser based on libav C API
for video files database registration.

The Exiv2 video support is not used anymore as this code is buggous and nobody
sound motivated in Exiv2 to finalize the code.

The original post for this file must be fixed now and video metadata support
with ffmpeg must be enough to populate database entries.

Gilles Caulier